Skip to content

Locations ​

Part of the Inventory API. Base URL https://your-domain.com/admin/api/v1 — replace the host with your own installation and the token placeholder with a real Bearer token (see Authentication).

List locations ​

GET /admin/api/v1/inventories/locations

Retrieve a paginated list of locations with filtering and sorting

🔒 Requires a valid Bearer token.

Query parameters

ParameterTypeRequiredDescriptionExample
includestringNoComma-separated list of relationships to include. Available options: parent, children, storageCategory, warehouse, company, creatorparent,storageCategory
filter[id]stringNoComma-separated list of IDs to filter byarchitecto
filter[name]stringNoFilter by location nameStock
filter[full_name]stringNoFilter by full location nameWH/Stock
filter[type]stringNoFilter by location typesinternal
filter[barcode]stringNoFilter by barcodeLOC-01
filter[parent_id]stringNoFilter by parent location IDsarchitecto
filter[storage_category_id]stringNoFilter by storage category IDsarchitecto
filter[warehouse_id]stringNoFilter by warehouse IDsarchitecto
filter[company_id]stringNoFilter by company IDsarchitecto
sortstringNoSort field-created_at
bash
curl -X GET "https://your-domain.com/admin/api/v1/inventories/locations?include=parent%2CstorageCategory&filter%5Bid%5D=architecto&filter%5Bname%5D=Stock&filter%5Bfull_name%5D=WH%2FStock&filter%5Btype%5D=internal&filter%5Bbarcode%5D=LOC-01&filter%5Bparent_id%5D=architecto&filter%5Bstorage_category_id%5D=architecto&filter%5Bwarehouse_id%5D=architecto&filter%5Bcompany_id%5D=architecto&sort=-created_at" \
  -H "Authorization: Bearer {YOUR_AUTH_TOKEN}" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json"
javascript
const response = await fetch("https://your-domain.com/admin/api/v1/inventories/locations?include=parent%2CstorageCategory&filter%5Bid%5D=architecto&filter%5Bname%5D=Stock&filter%5Bfull_name%5D=WH%2FStock&filter%5Btype%5D=internal&filter%5Bbarcode%5D=LOC-01&filter%5Bparent_id%5D=architecto&filter%5Bstorage_category_id%5D=architecto&filter%5Bwarehouse_id%5D=architecto&filter%5Bcompany_id%5D=architecto&sort=-created_at", {
  method: "GET",
  headers: {
    "Authorization": "Bearer {YOUR_AUTH_TOKEN}",
    "Accept": "application/json",
    "Content-Type": "application/json",
  },
});

const data = await response.json();
console.log(data);
php
<?php

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://your-domain.com/admin/api/v1/inventories/locations?include=parent%2CstorageCategory&filter%5Bid%5D=architecto&filter%5Bname%5D=Stock&filter%5Bfull_name%5D=WH%2FStock&filter%5Btype%5D=internal&filter%5Bbarcode%5D=LOC-01&filter%5Bparent_id%5D=architecto&filter%5Bstorage_category_id%5D=architecto&filter%5Bwarehouse_id%5D=architecto&filter%5Bcompany_id%5D=architecto&sort=-created_at', [
    'headers' => [
        'Authorization' => 'Bearer {YOUR_AUTH_TOKEN}',
        'Accept' => 'application/json',
        'Content-Type' => 'application/json',
    ],
]);

$data = json_decode($response->getBody(), true);
python
import requests

url = "https://your-domain.com/admin/api/v1/inventories/locations?include=parent%2CstorageCategory&filter%5Bid%5D=architecto&filter%5Bname%5D=Stock&filter%5Bfull_name%5D=WH%2FStock&filter%5Btype%5D=internal&filter%5Bbarcode%5D=LOC-01&filter%5Bparent_id%5D=architecto&filter%5Bstorage_category_id%5D=architecto&filter%5Bwarehouse_id%5D=architecto&filter%5Bcompany_id%5D=architecto&sort=-created_at"

headers = {
    "Authorization": "Bearer {YOUR_AUTH_TOKEN}",
    "Accept": "application/json",
    "Content-Type": "application/json",
}

response = requests.get(url, headers=headers)

data = response.json()
print(data)

Example response 200

json
{
  "data": [
    {
      "id": 1,
      "name": "Physical Locations",
      "full_name": "Physical Locations",
      "description": null,
      "parent_path": "1/",
      "barcode": null,
      "type": "view",
      "position_x": 0,
      "position_y": 0,
      "position_z": 0,
      "removal_strategy": null,
      "cyclic_inventory_frequency": 0,
      "last_inventory_date": null,
      "next_inventory_date": null,
      "is_scrap": false,
      "is_replenish": false,
      "is_dock": false,
      "created_at": "2026-10-12T09:59:23.000000Z",
      "updated_at": "2026-10-12T09:59:23.000000Z",
      "deleted_at": null
    },
    {
      "id": 1,
      "name": "Physical Locations",
      "full_name": "Physical Locations",
      "description": null,
      "parent_path": "1/",
      "barcode": null,
      "type": "view",
      "position_x": 0,
      "position_y": 0,
      "position_z": 0,
      "removal_strategy": null,
      "cyclic_inventory_frequency": 0,
      "last_inventory_date": null,
      "next_inventory_date": null,
      "is_scrap": false,
      "is_replenish": false,
      "is_dock": false,
      "created_at": "2026-10-12T09:59:23.000000Z",
      "updated_at": "2026-10-12T09:59:23.000000Z",
      "deleted_at": null
    }
  ],
  "links": {
    "first": "/?page=1",
    "last": "/?page=1",
    "prev": null,
    "next": null
  },
  "meta": {
    "current_page": 1,
    "from": 1,
    "last_page": 1,
    "links": [
      {
        "url": null,
        "label": "&laquo; Previous",
        "page": null,
        "active": false
      },
      {
        "url": "/?page=1",
        "label": "1",
        "page": 1,
        "active": true
      },
      {
        "url": null,
        "label": "Next &raquo;",
        "page": null,
        "active": false
      }
    ],
    "path": "/",
    "per_page": 10,
    "to": 2,
    "total": 2
  }
}
Error response — 401
json
{
  "message": "Unauthenticated."
}

Create location ​

POST /admin/api/v1/inventories/locations

Create a new location

🔒 Requires a valid Bearer token.

Body parameters

ParameterTypeRequiredDescription
namestringYesLocation name. Must not be greater than 255 characters.
parent_idintegerNoParent location ID. Must match an existing stored value.
descriptionstringNoLocation notes.
typestringYesLocation type.
company_idintegerNoCompany ID. Must match an existing stored value.
storage_category_idintegerNoStorage category ID. Must match an existing stored value.
is_scrapbooleanNoMark as scrap location.
is_dockbooleanNoMark as dock location.
is_replenishbooleanNoMark as replenish location.
cyclic_inventory_frequencyintegerNoCycle counting frequency in days. Must be at least 0.
barcodestringNoBarcode for the location. Must not be greater than 255 characters.
bash
curl -X POST "https://your-domain.com/admin/api/v1/inventories/locations" \
  -H "Authorization: Bearer {YOUR_AUTH_TOKEN}" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json" \
  -d '{
  "name": "Aisle A / Shelf 1",
  "parent_id": 5,
  "description": "Reserved for raw materials.",
  "type": "internal",
  "company_id": 1,
  "storage_category_id": 3,
  "is_scrap": false,
  "is_dock": false,
  "is_replenish": true,
  "cyclic_inventory_frequency": 30,
  "barcode": "LOC-A1"
}'
javascript
const response = await fetch("https://your-domain.com/admin/api/v1/inventories/locations", {
  method: "POST",
  headers: {
    "Authorization": "Bearer {YOUR_AUTH_TOKEN}",
    "Accept": "application/json",
    "Content-Type": "application/json",
  },
  body: JSON.stringify({
  "name": "Aisle A / Shelf 1",
  "parent_id": 5,
  "description": "Reserved for raw materials.",
  "type": "internal",
  "company_id": 1,
  "storage_category_id": 3,
  "is_scrap": false,
  "is_dock": false,
  "is_replenish": true,
  "cyclic_inventory_frequency": 30,
  "barcode": "LOC-A1"
}),
});

const data = await response.json();
console.log(data);
php
<?php

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://your-domain.com/admin/api/v1/inventories/locations', [
    'headers' => [
        'Authorization' => 'Bearer {YOUR_AUTH_TOKEN}',
        'Accept' => 'application/json',
        'Content-Type' => 'application/json',
    ],
    'json' => [
    'name' => 'Aisle A / Shelf 1',
    'parent_id' => 5,
    'description' => 'Reserved for raw materials.',
    'type' => 'internal',
    'company_id' => 1,
    'storage_category_id' => 3,
    'is_scrap' => false,
    'is_dock' => false,
    'is_replenish' => true,
    'cyclic_inventory_frequency' => 30,
    'barcode' => 'LOC-A1',
  ],
]);

$data = json_decode($response->getBody(), true);
python
import requests

url = "https://your-domain.com/admin/api/v1/inventories/locations"

headers = {
    "Authorization": "Bearer {YOUR_AUTH_TOKEN}",
    "Accept": "application/json",
    "Content-Type": "application/json",
}

payload = {
    "name": "Aisle A / Shelf 1",
    "parent_id": 5,
    "description": "Reserved for raw materials.",
    "type": "internal",
    "company_id": 1,
    "storage_category_id": 3,
    "is_scrap": False,
    "is_dock": False,
    "is_replenish": True,
    "cyclic_inventory_frequency": 30,
    "barcode": "LOC-A1",
}

response = requests.post(url, headers=headers, json=payload)

data = response.json()
print(data)

Example response 201

json
{
  "data": {
    "id": 1,
    "name": "Physical Locations",
    "full_name": "Physical Locations",
    "description": null,
    "parent_path": "1/",
    "barcode": null,
    "type": "view",
    "position_x": 0,
    "position_y": 0,
    "position_z": 0,
    "removal_strategy": null,
    "cyclic_inventory_frequency": 0,
    "last_inventory_date": null,
    "next_inventory_date": null,
    "is_scrap": false,
    "is_replenish": false,
    "is_dock": false,
    "created_at": "2026-10-12T09:59:23.000000Z",
    "updated_at": "2026-10-12T09:59:23.000000Z",
    "deleted_at": null
  },
  "message": "Location created successfully."
}
Error response — 401
json
{
  "message": "Unauthenticated."
}

Show location ​

GET /admin/api/v1/inventories/locations/{id}

Retrieve a specific location by ID

🔒 Requires a valid Bearer token.

Path parameters

ParameterTypeRequiredDescription
idintegerYesThe location ID

Query parameters

ParameterTypeRequiredDescriptionExample
includestringNoComma-separated list of relationships to include. Available options: parent, children, storageCategory, warehouse, company, creatorparent,company
bash
curl -X GET "https://your-domain.com/admin/api/v1/inventories/locations/{id}?include=parent%2Ccompany" \
  -H "Authorization: Bearer {YOUR_AUTH_TOKEN}" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json"
javascript
const response = await fetch("https://your-domain.com/admin/api/v1/inventories/locations/{id}?include=parent%2Ccompany", {
  method: "GET",
  headers: {
    "Authorization": "Bearer {YOUR_AUTH_TOKEN}",
    "Accept": "application/json",
    "Content-Type": "application/json",
  },
});

const data = await response.json();
console.log(data);
php
<?php

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://your-domain.com/admin/api/v1/inventories/locations/{id}?include=parent%2Ccompany', [
    'headers' => [
        'Authorization' => 'Bearer {YOUR_AUTH_TOKEN}',
        'Accept' => 'application/json',
        'Content-Type' => 'application/json',
    ],
]);

$data = json_decode($response->getBody(), true);
python
import requests

url = "https://your-domain.com/admin/api/v1/inventories/locations/{id}?include=parent%2Ccompany"

headers = {
    "Authorization": "Bearer {YOUR_AUTH_TOKEN}",
    "Accept": "application/json",
    "Content-Type": "application/json",
}

response = requests.get(url, headers=headers)

data = response.json()
print(data)

Example response 200

json
{
  "data": {
    "id": 1,
    "name": "Physical Locations",
    "full_name": "Physical Locations",
    "description": null,
    "parent_path": "1/",
    "barcode": null,
    "type": "view",
    "position_x": 0,
    "position_y": 0,
    "position_z": 0,
    "removal_strategy": null,
    "cyclic_inventory_frequency": 0,
    "last_inventory_date": null,
    "next_inventory_date": null,
    "is_scrap": false,
    "is_replenish": false,
    "is_dock": false,
    "created_at": "2026-10-12T09:59:23.000000Z",
    "updated_at": "2026-10-12T09:59:23.000000Z",
    "deleted_at": null
  }
}
Error response — 401
json
{
  "message": "Unauthenticated."
}

Update location ​

PUT /admin/api/v1/inventories/locations/{id}

Update an existing location

🔒 Requires a valid Bearer token.

Path parameters

ParameterTypeRequiredDescription
idintegerYesThe location ID

Body parameters

ParameterTypeRequiredDescription
namestringNoLocation name. Must not be greater than 255 characters.
parent_idintegerNoParent location ID. Must match an existing stored value.
descriptionstringNoLocation notes.
typestringNoLocation type.
company_idintegerNoCompany ID. Must match an existing stored value.
storage_category_idintegerNoStorage category ID. Must match an existing stored value.
is_scrapbooleanNoMark as scrap location.
is_dockbooleanNoMark as dock location.
is_replenishbooleanNoMark as replenish location.
cyclic_inventory_frequencyintegerNoCycle counting frequency in days. Must be at least 0.
barcodestringNoBarcode for the location. Must not be greater than 255 characters.
bash
curl -X PUT "https://your-domain.com/admin/api/v1/inventories/locations/{id}" \
  -H "Authorization: Bearer {YOUR_AUTH_TOKEN}" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json" \
  -d '{
  "name": "Aisle A / Shelf 1",
  "parent_id": 5,
  "description": "Reserved for raw materials.",
  "type": "internal",
  "company_id": 1,
  "storage_category_id": 3,
  "is_scrap": false,
  "is_dock": false,
  "is_replenish": true,
  "cyclic_inventory_frequency": 30,
  "barcode": "LOC-A1"
}'
javascript
const response = await fetch("https://your-domain.com/admin/api/v1/inventories/locations/{id}", {
  method: "PUT",
  headers: {
    "Authorization": "Bearer {YOUR_AUTH_TOKEN}",
    "Accept": "application/json",
    "Content-Type": "application/json",
  },
  body: JSON.stringify({
  "name": "Aisle A / Shelf 1",
  "parent_id": 5,
  "description": "Reserved for raw materials.",
  "type": "internal",
  "company_id": 1,
  "storage_category_id": 3,
  "is_scrap": false,
  "is_dock": false,
  "is_replenish": true,
  "cyclic_inventory_frequency": 30,
  "barcode": "LOC-A1"
}),
});

const data = await response.json();
console.log(data);
php
<?php

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://your-domain.com/admin/api/v1/inventories/locations/{id}', [
    'headers' => [
        'Authorization' => 'Bearer {YOUR_AUTH_TOKEN}',
        'Accept' => 'application/json',
        'Content-Type' => 'application/json',
    ],
    'json' => [
    'name' => 'Aisle A / Shelf 1',
    'parent_id' => 5,
    'description' => 'Reserved for raw materials.',
    'type' => 'internal',
    'company_id' => 1,
    'storage_category_id' => 3,
    'is_scrap' => false,
    'is_dock' => false,
    'is_replenish' => true,
    'cyclic_inventory_frequency' => 30,
    'barcode' => 'LOC-A1',
  ],
]);

$data = json_decode($response->getBody(), true);
python
import requests

url = "https://your-domain.com/admin/api/v1/inventories/locations/{id}"

headers = {
    "Authorization": "Bearer {YOUR_AUTH_TOKEN}",
    "Accept": "application/json",
    "Content-Type": "application/json",
}

payload = {
    "name": "Aisle A / Shelf 1",
    "parent_id": 5,
    "description": "Reserved for raw materials.",
    "type": "internal",
    "company_id": 1,
    "storage_category_id": 3,
    "is_scrap": False,
    "is_dock": False,
    "is_replenish": True,
    "cyclic_inventory_frequency": 30,
    "barcode": "LOC-A1",
}

response = requests.put(url, headers=headers, json=payload)

data = response.json()
print(data)

Example response 200

json
{
  "data": {
    "id": 1,
    "name": "Physical Locations",
    "full_name": "Physical Locations",
    "description": null,
    "parent_path": "1/",
    "barcode": null,
    "type": "view",
    "position_x": 0,
    "position_y": 0,
    "position_z": 0,
    "removal_strategy": null,
    "cyclic_inventory_frequency": 0,
    "last_inventory_date": null,
    "next_inventory_date": null,
    "is_scrap": false,
    "is_replenish": false,
    "is_dock": false,
    "created_at": "2026-10-12T09:59:23.000000Z",
    "updated_at": "2026-10-12T09:59:23.000000Z",
    "deleted_at": null
  },
  "message": "Location updated successfully."
}
Error response — 401
json
{
  "message": "Unauthenticated."
}

Delete location ​

DELETE /admin/api/v1/inventories/locations/{id}

Soft delete a location

🔒 Requires a valid Bearer token.

Path parameters

ParameterTypeRequiredDescription
idintegerYesThe location ID
bash
curl -X DELETE "https://your-domain.com/admin/api/v1/inventories/locations/{id}" \
  -H "Authorization: Bearer {YOUR_AUTH_TOKEN}" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json"
javascript
const response = await fetch("https://your-domain.com/admin/api/v1/inventories/locations/{id}", {
  method: "DELETE",
  headers: {
    "Authorization": "Bearer {YOUR_AUTH_TOKEN}",
    "Accept": "application/json",
    "Content-Type": "application/json",
  },
});

const data = await response.json();
console.log(data);
php
<?php

$client = new \GuzzleHttp\Client();

$response = $client->request('DELETE', 'https://your-domain.com/admin/api/v1/inventories/locations/{id}', [
    'headers' => [
        'Authorization' => 'Bearer {YOUR_AUTH_TOKEN}',
        'Accept' => 'application/json',
        'Content-Type' => 'application/json',
    ],
]);

$data = json_decode($response->getBody(), true);
python
import requests

url = "https://your-domain.com/admin/api/v1/inventories/locations/{id}"

headers = {
    "Authorization": "Bearer {YOUR_AUTH_TOKEN}",
    "Accept": "application/json",
    "Content-Type": "application/json",
}

response = requests.delete(url, headers=headers)

data = response.json()
print(data)

Example response 200

json
{
  "message": "Location deleted successfully."
}
Error response — 401
json
{
  "message": "Unauthenticated."
}

Restore location ​

POST /admin/api/v1/inventories/locations/{id}/restore

Restore a soft deleted location

🔒 Requires a valid Bearer token.

Path parameters

ParameterTypeRequiredDescription
idintegerYesThe location ID
bash
curl -X POST "https://your-domain.com/admin/api/v1/inventories/locations/{id}/restore" \
  -H "Authorization: Bearer {YOUR_AUTH_TOKEN}" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json"
javascript
const response = await fetch("https://your-domain.com/admin/api/v1/inventories/locations/{id}/restore", {
  method: "POST",
  headers: {
    "Authorization": "Bearer {YOUR_AUTH_TOKEN}",
    "Accept": "application/json",
    "Content-Type": "application/json",
  },
});

const data = await response.json();
console.log(data);
php
<?php

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://your-domain.com/admin/api/v1/inventories/locations/{id}/restore', [
    'headers' => [
        'Authorization' => 'Bearer {YOUR_AUTH_TOKEN}',
        'Accept' => 'application/json',
        'Content-Type' => 'application/json',
    ],
]);

$data = json_decode($response->getBody(), true);
python
import requests

url = "https://your-domain.com/admin/api/v1/inventories/locations/{id}/restore"

headers = {
    "Authorization": "Bearer {YOUR_AUTH_TOKEN}",
    "Accept": "application/json",
    "Content-Type": "application/json",
}

response = requests.post(url, headers=headers)

data = response.json()
print(data)

Example response 200

json
{
  "data": {
    "id": 1,
    "name": "Physical Locations",
    "full_name": "Physical Locations",
    "description": null,
    "parent_path": "1/",
    "barcode": null,
    "type": "view",
    "position_x": 0,
    "position_y": 0,
    "position_z": 0,
    "removal_strategy": null,
    "cyclic_inventory_frequency": 0,
    "last_inventory_date": null,
    "next_inventory_date": null,
    "is_scrap": false,
    "is_replenish": false,
    "is_dock": false,
    "created_at": "2026-10-12T09:59:23.000000Z",
    "updated_at": "2026-10-12T09:59:23.000000Z",
    "deleted_at": null
  },
  "message": "Location restored successfully."
}
Error response — 401
json
{
  "message": "Unauthenticated."
}

Force delete location ​

DELETE /admin/api/v1/inventories/locations/{id}/force

Permanently delete a location

🔒 Requires a valid Bearer token.

Path parameters

ParameterTypeRequiredDescription
idintegerYesThe location ID
bash
curl -X DELETE "https://your-domain.com/admin/api/v1/inventories/locations/{id}/force" \
  -H "Authorization: Bearer {YOUR_AUTH_TOKEN}" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json"
javascript
const response = await fetch("https://your-domain.com/admin/api/v1/inventories/locations/{id}/force", {
  method: "DELETE",
  headers: {
    "Authorization": "Bearer {YOUR_AUTH_TOKEN}",
    "Accept": "application/json",
    "Content-Type": "application/json",
  },
});

const data = await response.json();
console.log(data);
php
<?php

$client = new \GuzzleHttp\Client();

$response = $client->request('DELETE', 'https://your-domain.com/admin/api/v1/inventories/locations/{id}/force', [
    'headers' => [
        'Authorization' => 'Bearer {YOUR_AUTH_TOKEN}',
        'Accept' => 'application/json',
        'Content-Type' => 'application/json',
    ],
]);

$data = json_decode($response->getBody(), true);
python
import requests

url = "https://your-domain.com/admin/api/v1/inventories/locations/{id}/force"

headers = {
    "Authorization": "Bearer {YOUR_AUTH_TOKEN}",
    "Accept": "application/json",
    "Content-Type": "application/json",
}

response = requests.delete(url, headers=headers)

data = response.json()
print(data)

Example response 200

json
{
  "message": "Location permanently deleted successfully."
}
Error response — 401
json
{
  "message": "Unauthenticated."
}

Released under the MIT License.